#### PyKDE - Python Bindings for KDE

# class TDEABC.LdapObject |
Table of contents
Modules
tdeabc Classes
All Classes

Module | tdeabc
Class | TDEABC.LdapObject
Inherits |

### methods

- LdapObject ()

  returns a LdapObject instance
  In versions KDE 3.1.0 and above only

- LdapObject (_dn, _cl)

  returns a LdapObject instance
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  _dn | TQString |
  _cl | TDEABC.LdapClient |

- LdapObject (that)

  returns a LdapObject instance
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  that | TDEABC.LdapObject |

- LdapObject (a0)

  returns a LdapObject instance
  In versions less than KDE 3.3.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |

- assign (that)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  that | TDEABC.LdapObject |

- clear ()

  returns nothing
  In versions KDE 3.1.0 and above only

- toString ()

  returns (TQString)
  In versions KDE 3.1.0 and above only

### variables

- variables

  Variable | Type
  --- | ---
  attrs | LdapAttrMap
  client | TDEABC::LdapClient*
  dn | TQString